# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetInfoReq

Packages that use TGetInfoReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetInfoReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetInfoReq
Modifier and Type
Class
Description
`class`
`TGetInfoReq`
`class`
`TGetInfoReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetInfoReq
Modifier and Type
Field
Description
`TGetInfoReq`
TCLIService.GetInfo_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetInfoReq
Modifier and Type
Method
Description
`TGetInfoReq`
TGetInfoReq.`deepCopy()`
`TGetInfoReq`
TCLIService.GetInfo_args.`getReq()`
`TGetInfoReq`
TGetInfoReq.`setInfoType(TGetInfoType infoType)`
`TGetInfoReq`
TGetInfoReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoReq
Modifier and Type
Method
Description
`int`
TGetInfoReq.`compareTo(TGetInfoReq other)`
`boolean`
TGetInfoReq.`equals(TGetInfoReq that)`
`void`
TCLIService.AsyncClient.`GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`TGetInfoResp`
TCLIService.Client.`GetInfo(TGetInfoReq req)`
`TGetInfoResp`
TCLIService.Iface.`GetInfo(TGetInfoReq req)`
`void`
TCLIService.Client.`send_GetInfo(TGetInfoReq req)`
`TCLIService.GetInfo_args`
TCLIService.GetInfo_args.`setReq(TGetInfoReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoReq
Modifier
Constructor
Description
``
`GetInfo_args(TGetInfoReq req)`
``
`GetInfo_call(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetInfoReq(TGetInfoReq other)`
Performs a deep copy on other.